# !/usr/bin/env python3
# -*- coding: utf-8 -*-

"""
Created by:         Lukas E. G. Fischer
                    Methods Center • University of Tübingen
                    lukas.fischer@uni-tuebingen.de • https://uni-tuebingen.de/en/203347
Created on:         26.03.2021

This function produces LaTeX table code from a pandas dataframe and writes the output to a specified file.

Inputs
    - file:             string -> path of the file to write to (the file format can be specified flexibly)
    - body:             string -> content to be written to the file
    - first_line:       integer or None -> number of the first line to start writing
    - last_line:        integer or None -> number of the last line to write
"""


def write_text_file(file, body, first_line, last_line):
    with open(file, "w") as tf:
        tf.write(body)
    with open(file, "r") as tf:
        content = tf.read().splitlines(True)
    with open(file, "w") as tf:
        tf.writelines(content[first_line:last_line])
        tf.close()
